# AudioMusicParam class Null safety

Parameters of music and voice settings APIs

## Constructors

AudioMusicParam({required String path, required int id, int loopCount = 0, bool publish = false, bool isShortFile = false, int startTimeMS = 0, int endTimeMS = -1})

## Properties

endTimeMS ↔ int
  Field meaning: the point in time in milliseconds for ending music playback. The value 0 or -1 indicates that playback lasts until the file ends.
  read / write
hashCode → int
  The hash code for this object.
  read-only, inherited
id ↔ int
  Field meaning: music track ID Note: the SDK allows you to play multiple music tracks, so music IDs are required for identification. These IDs are used to start/stop a music track, adjust the volume, and more.
  read / write
isShortFile ↔ bool
  Field meaning: whether the music file for playback is a short music file Recommended value: YES: short music file for loop playback. NO: normal music file. Default value: NO.
  read / write
loopCount ↔ int
  Field meaning: number of times the music file is played in a loop Recommended value: value range: 0 or any positive integer. Default value: 0. 0 indicates that the music file will be played once, 1 indicates that the music file will be played twice, and so on.
  read / write
path ↔ String
  Field meaning: absolute path of the music file
  read / write
publish ↔ bool
  Field meaning: whether to send the music track to remote users. Recommended value: YES: when the music is played locally, it will be uploaded to the cloud and can be heard by remote users. NO: the music track will not be uploaded to the cloud and can only be heard locally. Default value: NO.
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
startTimeMS ↔ int
  Field meaning: the point in time in milliseconds for starting music playback
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited